<?php


return  
    [
        'model' => [
            'model' => \Eform\Test\Models\Category::class,
            'table' => 'eform_test_categories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'description',  'user_id',  'Status',  'images'],
            'translatables' => [],
            'upload_folder' => 'test/category',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'test::category.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'test::category.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "Status", 
                "type" => "text", 
                "label" => 'test::category.label.Status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "marking", 
                "type" => "text", 
                "label" => 'test::category.label.marking', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'test::category.label.images', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'test::category.label.name',
                "placeholder" => 'test::category.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'test::category.label.description',
                "placeholder" => 'test::category.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'Status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'test::category.label.Status',
                "placeholder" => 'test::category.placeholder.Status',
                "rules" => '',
                "options" => function(){
                    return trans('test::category.options.Status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'text',
                "type" => 'text',
                "label" => 'test::category.label.images',
                "placeholder" => 'test::category.placeholder.images',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'test/category/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'test/category/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'test/category',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'test/category',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'test/category',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'test/category',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'test::category.label.created_at',
            'name' => 'test::category.label.name',
            'status' => 'test::category.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "test::category.groups.main",
                'group' => "main.main",
                'title' => "test::category.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "test::category.groups.details",
                'group' => "main.details",
                'title' => "test::category.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "test::category.groups.images",
                'group' => "main.images",
                'title' => "test::category.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "test::category.groups.settings",
                'group' => "main.settings",
                'title' => "test::category.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Eform',
            'package' => 'Test',
            'module' => 'Category',
        ],

        
        
    ];
