<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEformTestCategoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: eform_test_categories
         */
        Schema::create('eform_test_categories', function ($table) {
            $table->increments('id');
            $table->string('name', 20)->nullable();
            $table->text('description')->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('Status', ['Yes', 'No'])->nullable();
            $table->string('slug', 60)->nullable();
            $table->text('images')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('eform_test_categories');
    }
}
