<?php

namespace Eform\Test\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Eform\Test\Models\Test;


class TestAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'eform.test.test';
    protected $eventClass = \Eform\Test\Events\TestAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Test $test, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $test;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Test $test, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $test = $test->create($attributes);
        return $test;
    }

    public function update(Test $test, array $request)
    {
        $attributes = $request;
        $test->update($attributes);
        return $test;
    }

    public function destroy(Test $test, array $request)
    {
        $test->delete();
        return $test;
    }

    public function copy(Test $test, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $test = $test->replicate();
            $test->created_at = Carbon::now();
            $test->save();
            return $test;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $test->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $test;
    }


}
